package com.xinelu.manage.domain.appointmentorderconsumable;


import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 订单明细耗材信息对象 appointment_order_consumable
 *
 * @author 纪寒
 * @date 2022-09-05
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "订单明细耗材信息对象", description = "appointment_order_consumable")
public class AppointmentOrderConsumable extends BaseDomain implements Serializable {
    private static final long serialVersionUID = -4941404960116938876L;
    /**
     * 主键id
     */
    private Long id;

    /**
     * 订单明细表id
     */
    @ApiModelProperty(value = "订单明细表id")
    @Excel(name = "订单明细表id")
    private Long appointOrderDetailsId;

    /**
     * 订单耗材名称
     */
    @ApiModelProperty(value = "订单耗材名称")
    @Excel(name = "订单耗材名称")
    private String orderConsumableName;

    /**
     * 订单耗材价格
     */
    @ApiModelProperty(value = "订单耗材价格")
    @Excel(name = "订单耗材价格")
    private BigDecimal orderConsumablePrice;

    /**
     * 订单耗材数量
     */
    @ApiModelProperty(value = "订单耗材数量")
    @Excel(name = "订单耗材数量")
    private Integer orderConsumableCount;

    /**
     * 耗材包单位
     */
    private String consumableUnit;

    /**
     * 是否删除标识，0：否，1：是
     */
    private Integer delFlag;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("appointOrderDetailsId", getAppointOrderDetailsId())
                .append("orderConsumableName", getOrderConsumableName())
                .append("orderConsumablePrice", getOrderConsumablePrice())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
